summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar damitha2010-07-21 07:32:34 +0000
committerGravatar damitha2010-07-21 07:32:34 +0000
commit0a46854574a5c939a873eeca89bf187e98a786af (patch)
tree649f28069a7e9dea5b94e05219d5e0daa3c989fd
parenta5884ff78aec22a326ad676e73172cd66649264b (diff)
downloadaxis2c-0a46854574a5c939a873eeca89bf187e98a786af.tar.gz
axis2c-0a46854574a5c939a873eeca89bf187e98a786af.tar.bz2
build script with full options that could be useful for a dist
git-svn-id: http://svn.apache.org/repos/asf/axis/axis2/c/core/trunk@966124 13f79535-47bb-0310-9956-ffa450edef68
-rwxr-xr-xbuild_for_dist.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build_for_dist.sh b/build_for_dist.sh
new file mode 100755
index 0000000..149f616
--- /dev/null
+++ b/build_for_dist.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -e
+sh autogen.sh
+
+AXIS2C_HOME=`pwd`/deploy
+export AXIS2C_HOME
+echo "AXIS2C_HOME = ${AXIS2C_HOME}"
+
+sh configure --prefix=`pwd`/deploy --enable-tests=yes --with-apache2=/usr/local/apache2/include --enable-tcp=yes --with-archive=/usr/include
+make -j 10
+make install
+
+cd samples
+sh autogen.sh
+sh configure --prefix=`pwd`/../deploy --with-axis2=`pwd`/../deploy/include/axis2-1.7.0
+make -j 10
+make install
+cd ..